-- adds a keybinding to post a raidwarning of the currently hovered item and its dkp value

current_hover_name = nil
current_hover_link = nil

GameTooltip:HookScript("OnTooltipSetItem", function(tooltip, ...)
  current_hover_name, current_hover_link = tooltip:GetItem()
end)

GameTooltip:HookScript("OnHide", function(tooltip, ...)
  current_hover_name, current_hover_link = nil
end)


function announce_item()
  if (UnitIsRaidOfficer("player") or UnitIsGroupLeader("player"))
  and select(2, GetLootMethod()) == 0 then

    if current_hover_name and current_hover_link then
      information = search_for_item(current_hover_link:match("item:(%d+):"))
      valuestring = ""
      if information then
        valuestring = string.format(" - %i DKP", information)
      end

      SendChatMessage(current_hover_link .. valuestring, "RAID_WARNING")
    end
  end
end
